%global kodi_addon pvr.iptvsimple
%global kodi_version 18.2
%global codename Leia

Name:           kodi-%(tr "." "-" <<<%{kodi_addon})
Version:        3.6.0
Release:        %mkrel 1
Summary:        Simple IPTV PVR for Kodi
Group:          Video/Players
License:        GPLv2+
URL:            https://github.com/kodi-pvr/%{kodi_addon}/
Source0:        https://github.com/kodi-pvr/pvr.iptvsimple/archive/%{version}/%{name}-%{version}-%{codename}.tar.gz
Patch0:         remove-kodiplatform-dep.patch
Patch1:         kodi-pvr-iptvsimple-3.6.0-use_external_rapidxml.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  kodi-addon-devel >= %{kodi_version}
BuildRequires:  pkgconfig(p8-platform)
BuildRequires:  rapidxml-devel
BuildRequires:  pkgconfig(zlib)
Requires:       kodi >= %{kodi_version}

%description
%{summary}.

%prep
%autosetup -n %{kodi_addon}-%{version}-%{codename} -p1

# Remove bundles rapidxml
rm -rf depends/common/rapidxml

%build
%cmake .
%make_build

%install
%make_install -C build

%files
%doc README.md %{kodi_addon}/changelog.txt
%{_libdir}/kodi/addons/%{kodi_addon}/
%{_datadir}/kodi/addons/%{kodi_addon}/



%changelog
* Wed Aug 21 2019 kekepower <kekepower> 3.6.0-1.mga7
+ Revision: 1430744
- imported package kodi-pvr-iptvsimple

